---
page_title: Delete Customer Account
product: API Reference
page_source: https://juspay.io/in/docs/api-reference/docs/express-checkout/delete-customer-account
openapi: https://juspay.io/in/docs/api/swagger?document=https%3A%2F%2Fjuspay.io%2Fin%2Fdocs%2Fapi-reference%2Fdocs%2Fexpress-checkout%2Fdelete-customer-account
llms_txt: https://juspay.io/in/docs/llms.txt
product_llms_txt: https://juspay.io/in/docs/api-reference/llms.txt
---

## API Version: default


# Delete Customer account



This is a Server-to-Server API that takes customer account ID as an input and delete the customer account ID in the Juspay system against the provided customer ID.## Endpoints:
- Sandbox: https://sandbox.juspay.in/customers/{customer_id}/customer-accounts/{customer_account_id}

- Production: https://api.juspay.in/customers/{customer_id}/customer-accounts/{customer_account_id}

## Request Type: 
POST

## Authorization:

#### Basic Auth:
Consists of two parts.

* Username: API Key obtained from Juspay dashboard
* Password: Empty string

Example:- Basic MUQ2QUxxxxxxxxxxxxU5QTIxQzNFNTQwNkFDMEZCOg==
- Tags: Base64 Encoded Username:Password, Mandatory
## Headers:

#### Content-Type:
application/x-www-form-urlencoded
- Tags: String

#### x-routing-id:
We recommend passing the customer_id as the x-routing-id. If the customer is checking out as a guest, you can pass an alternative ID that helps track the payment session lifecycle. For example, this could be an Order ID or Cart ID.

> **Warning**
> This ID is associated with the customer. It plays a key role in ensuring consistency and maintaining connections across different systems. If you fail to pass the same x-routing-id for the same customer in all related API calls, it could lead to issues with API functionality. Therefore, it’s crucial that you use the same x-routing-id for all requests tied to the same customer.


- Value: customer_1122
- Tags: String, Required
## Sample Code Snippets:
### Sample Request:

#### Request Code Snippet:

```request
curl -X POST \
https://api.juspay.in/customers/cst_zqqmw0v4exbhvv2l/customer-accounts/banh_4sEpEU31yNz9NnSX' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Basic QTA0QT*******ODg1Og==' \
--header 'x-routing-id: customer_1122'\
--data-urlencode 'command=delete'
```

### Sample Response:

#### 200 - Success:
```json
{
    "customer_account_status": "DELETED",
    "customer_account_id": "banh_4sEpEU31yNz9NnSX"
}

```

#### 401 - Unauthorized:
```plaintext
{
    "status": "error",
    "error_code": "access_denied",
    "error_info": {
        "user_message": "Unauthorized.",
        "request_id": "b2e0fd33-7655-4778-83a8-5179ed21b0b7",
        "href": "NA",
        "developer_message": "Invalid API Key. Please pass a valid and active api key.",
        "code": "UNAUTHORIZED",
        "category": "USER_ERROR"
    }
}
```

#### 404 - Not Found:
```plaintext
{
    "error_message": "Cannot find what you are looking for",
    "status": "invalid_request_error",
    "error_code": "object_not_found",
    "error_info": {
        "user_message": "Cannot process your request as customer account not found.",
        "request_id": "bfd8b9e6-45a8-4b41-a554-de6e435ffc36",
        "href": "NA",
        "developer_message": "Customer account not found.",
        "code": "RESOURCE_NOT_FOUND",
        "category": "USER_ERROR"
    }
}
```

## Path Parameters:

#### customer_id:
Customer Id
- Value: Example:- cst_weoridsfdkl
- Tags: String, Mandatory

#### customer_account_id:
Customer Account Id
- Value: Example:- bank_woeriusdfk
- Tags: String, Mandatory
## Body Parameters:
### Parameters:

#### command:
- Description: Value should be “delete”This will delete the entity from the Juspay system.
- Tags: string, Mandatory
## API Responses:
### 200:

#### customer_account_status:
- Description: status of customer account ID
- Value: DELETED
- Tags: String

#### customer_account_id:
- Description: customer account ID
- Value: banh_4sEpEU31yNz9NnSX
- Tags: String
### 401:

#### status:
- Description: Status of the get customer api response
- Value: Response: error
- Tags: String

#### error_code:
- Description: error code information
- Value: Sample response: access_denied
- Tags: String

#### error_info:
- Description: Detailed information of the error
- Value:
  - **User_message**:
    - Description: User error message
    - Value: Response: Unauthorized.
    - Tags: String
  - **Developer_message**:
    - Description: Provide accurate details on the error message
    - Value: Sample Response: Invalid API Key. Please pass a valid and active api key.
    - Tags: String
  - **Category**:
    - Description: Denotes the category of the error
    - Value: Sample Response: USER_ERROR
    - Tags: String
- Tags: JSON


---

## See Also

- [Get Customer Account](https://juspay.io/in/docs/api-reference/docs/express-checkout/get-customer-account)
- [Pay-V3 Integration](https://juspay.io/in/docs/api-reference/docs/payv3js-non-pci-compliant-merchants/payv3-integration)
